package ru.micord.ervu.account_applications.component.model.dto;

import java.util.Map;

import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * @author Adel Kalimullin
 */
public class SearchRequest {
  @JsonProperty("search")
  private Map<String, Object> searchFilter;
  private int page;
  private int perPage;

  public SearchRequest(Map<String, Object> searchFilter, int page, int perPage) {
    this.searchFilter = searchFilter;
    this.page = page;
    this.perPage = perPage;
  }

  public SearchRequest() {
  }

  public Map<String, Object> getSearchFilter() {
    return searchFilter;
  }

  public void setSearchFilter(Map<String, Object> searchFilter) {
    this.searchFilter = searchFilter;
  }

  public int getPage() {
    return page;
  }

  public void setPage(int page) {
    this.page = page;
  }

  public int getPerPage() {
    return perPage;
  }

  public void setPerPage(int perPage) {
    this.perPage = perPage;
  }
}
